/*
PAYMENTS API

Testing UnzerAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package paymentsapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/paymentsapi"
)

func Test_paymentsapi_UnzerAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test UnzerAPIService CreateUnzerConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.UnzerAPI.CreateUnzerConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UnzerAPIService DeleteUnzerConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		httpRes, err := apiClient.UnzerAPI.DeleteUnzerConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UnzerAPIService GetUnzerConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.UnzerAPI.GetUnzerConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
